Update a Live Event – Media API – MediaKind
Update a Live Event
Patch https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name
Update a live event. Currently only properties.pipeline is patchable.
RBAC Capability Required: ams.liveevent.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name: string, Requiredevent_name: string, Required
Request
This endpoint expects an object.
Content type: application/json.
properties: object LiveEventPropertiesPatch, Requiredpipeline: object PipelineArgumentsPatch, Optional
Not currently supported. AI pipeline settingsarguments: map from strings to list of objects ArgumentSchema, Optional
Arguments to each operation in the AI pipeline
Response
200: Updatedlocation: string, Optional
Deprecated field. This field cannot be modified, only set during creation.name: string, Optional
The name of the resource.properties: object LiveEventProperties, Required
The properties of the live event.
Errors
400: Bad Requesterror: object ErrorDetail, Required
Pertinent information about the errorcode: string, Requireddetail: string, RequiredextraDetail: map from strings to any, Optional
401: Unauthorizederror: object ErrorDetail, Required403: Forbidden404: Not Found429: Too Many Requests500: Internal Server Error